> For the complete documentation index, see [llms.txt](https://docs.patascore.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.patascore.com/financial-education-1/quiz/fetch-customer-session-summary.md).

# Submit Quiz Answers

<mark style="color:blue;">`GET`</mark> `{{BASE_URL}}/api/lessons/{lesson_id}/quiz/submit`

#### Path Parameters

| Name       | Type    | Description |
| ---------- | ------- | ----------- |
| lesson\_id | integer | Lesson id   |

#### Request Body

| Name         | Type    | Description        |
| ------------ | ------- | ------------------ |
| question\_id | integer | ID of the question |
| answer\_id   | integer | ID of the answer   |

#### Headers

| Name           | Type   | Description                                                    |
| -------------- | ------ | -------------------------------------------------------------- |
| Authentication | string | Authentication token to track down who is emptying our stocks. |

{% tabs %}
{% tab title="200 OK" %}

```json
{
    "status": 200,
    "response_code": 0,
    "success": true,
    "errors": [],
    "message": "Answer submitted",
    "data": {
        "is_correct": false,
        "feedback": "Wrong. Correct answer: It provides quick approval decisions and rapid money transfer to M-PESA."
    }
}
```

{% endtab %}

{% tab title="404 Not Found" %}

```json
{
    "status": 404,
    "message": "Lesson not found"
}
```

{% endtab %}
{% endtabs %}

#### Start Lesson Request

{% tabs %}
{% tab title="Request Body" %}

```json
{
    "phone_number": "0700112233"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.patascore.com/financial-education-1/quiz/fetch-customer-session-summary.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
